Album: Knife to Meet You
Style: single
Date: September 3, 2018
Date Added: July 08, 2025
URLs:
- https://dbnet18.bandcamp.com/track/knife-to-meet-you
Artists:
- dbnet18
Cover Artists:
- bakudadadan
Art Tags:
- Alternia
#- Connil
Cover Art File Extension: png
Color: '#43bdc3'
Groups:
- dbnet18
- Fandom
---
Track: Knife to Meet You
Duration: 02:08
URLs:
- https://dbnet18.bandcamp.com/track/knife-to-meet-you
Commentary: |-
    <i>dbnet18:</i> ([Bandcamp about blurb](https://dbnet18.bandcamp.com/track/knife-to-meet-you))
    This is a track for a fantroll named Connil!
Crediting Sources: |-
    <i>dbnet18:</i> ([Bandcamp credits blurb](https://dbnet18.bandcamp.com/track/knife-to-meet-you))

    Track by [[artist:dbnet18]]<br>
    Track art by [[artist:bakudadadan]]<br>
    Fantroll by [[artist:kohi]]
